$gridCols: 12;
$gridWidth: 1280px;
$gridGutter: 20px;

@mixin grid($columns){
	float: left;
	margin: 0 $gridGutter;
	width: calc( #{percentage($columns/$gridCols)} - (2 * #{$gridGutter} ));
}


@function colWidth($columns){
	@return #{calc( #{percentage($columns/$gridCols)} };
}

.grid-row{
	
	position: relative;
	width: 100%;
	max-width: $gridWidth;
	margin: 0 auto;
	padding: 0;

	&:after{
		@extend .cf;
	}

}

@for $i from 1 through $gridCols {
	
	.grid-col-#{$i} {

		position: relative;
		float: none;
		width: calc( 100% - (2 * #{$gridGutter} ));
		margin: 0 $gridGutter;

		@include bp(tablet){
			float: left;
			margin: 0 $gridGutter;
			width: calc( #{percentage($i/$gridCols)} - (2 * #{$gridGutter} ));
		}

	}

}

@for $i from 1 through $gridCols {

	.grid-offset-#{$i} {

		@include bp(tablet){
			margin-left: calc( #{percentage($i/$gridCols)} + #{$gridGutter} );
		}

	}

}

.grid-row-fluid{
	
	position: relative;
	width: 100%;
	max-width: $gridWidth;
	margin: 0 auto;
	padding: 0;

	&:after{
		@extend .cf;
	}

	@for $i from 1 through $gridCols {
		
		.grid-col-#{$i} {

			position: relative;
			float: none;
			width: calc( 100% - (2 * #{$gridGutter} ));
			margin: 0 $gridGutter;

			@include bp(tablet){
				float: left;
				margin: 0;
				width: calc( #{percentage($i/$gridCols)} );
			}

		}

	}

	@for $i from 1 through $gridCols {
		
		.grid-offset-#{$i} {

			@include bp(tablet){
				margin-left: calc( #{percentage($i/$gridCols)} );
			}

		}

	}

}